> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Brand

> Create a new brand within a project



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json post /brands
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /brands:
    post:
      tags:
        - Project
      summary: Create Brand
      description: Create a new brand within a project
      operationId: postBrands
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                domains:
                  type: array
                  items:
                    type: string
                regex:
                  type: string
                aliases:
                  type: array
                  items:
                    type: string
                color:
                  description: 'Hex color like #1A2B3C'
                  type: string
              required:
                - name
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                domains:
                  type: array
                  items:
                    type: string
                regex:
                  type: string
                aliases:
                  type: array
                  items:
                    type: string
                color:
                  description: 'Hex color like #1A2B3C'
                  type: string
              required:
                - name
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                domains:
                  type: array
                  items:
                    type: string
                regex:
                  type: string
                aliases:
                  type: array
                  items:
                    type: string
                color:
                  description: 'Hex color like #1A2B3C'
                  type: string
              required:
                - name
      responses:
        '201':
          description: Brand created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: kw_915e742b-396d-4a86-ad57-8bc84e8c2232
                required:
                  - id
                description: Brand created successfully
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````